Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.factory
[Groovy] Class TabbedPaneFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory
              groovy.swing.factory.TabbedPaneFactory

    class TabbedPaneFactory
    extends BeanFactory

Field Summary
`static java.lang.String` | `CONTEXT_DATA_KEY`
`static java.lang.String` | `DEFAULT_DELEGATE_PROPERTY_TAB_BACKGROUND`
`static java.lang.String` | `DEFAULT_DELEGATE_PROPERTY_TAB_DISABLED_ICON`
`static java.lang.String` | `DEFAULT_DELEGATE_PROPERTY_TAB_DISPLAYED_MNEMONIC_INDEX`
`static java.lang.String` | `DEFAULT_DELEGATE_PROPERTY_TAB_ENABLED`
`static java.lang.String` | `DEFAULT_DELEGATE_PROPERTY_TAB_FOREGROUND`
`static java.lang.String` | `DEFAULT_DELEGATE_PROPERTY_TAB_ICON`
`static java.lang.String` | `DEFAULT_DELEGATE_PROPERTY_TAB_MNEMONIC`
`static java.lang.String` | `DEFAULT_DELEGATE_PROPERTY_TAB_TOOL_TIP`
`static java.lang.String` | `DEFAULT_DELEGATE_PROPERTY_TITLE`
`static java.lang.String` | `DELEGATE_PROPERTY_TAB_BACKGROUND`
`static java.lang.String` | `DELEGATE_PROPERTY_TAB_DISABLED_ICON`
`static java.lang.String` | `DELEGATE_PROPERTY_TAB_DISPLAYED_MNEMONIC_INDEX`
`static java.lang.String` | `DELEGATE_PROPERTY_TAB_ENABLED`
`static java.lang.String` | `DELEGATE_PROPERTY_TAB_FOREGROUND`
`static java.lang.String` | `DELEGATE_PROPERTY_TAB_ICON`
`static java.lang.String` | `DELEGATE_PROPERTY_TAB_MNEMONIC`
`static java.lang.String` | `DELEGATE_PROPERTY_TAB_TOOL_TIP`
`static java.lang.String` | `DELEGATE_PROPERTY_TITLE`

Fields inherited from class BeanFactory
leaf

Constructor Summary
`TabbedPaneFactory(java.lang.Class beanClass)`

Method Summary
`static void` | `inspectChild(FactoryBuilderSupport builder, java.lang.Object node, java.util.Map attributes)`
`java.lang.Object` | `newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object node)`
`void` | `setChild(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object child)`

Methods inherited from class BeanFactory
isLeaf, newInstance

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CONTEXT_DATA_KEY

    public static final java.lang.String CONTEXT_DATA_KEY

### DEFAULT_DELEGATE_PROPERTY_TAB_BACKGROUND

    public static final java.lang.String DEFAULT_DELEGATE_PROPERTY_TAB_BACKGROUND

### DEFAULT_DELEGATE_PROPERTY_TAB_DISABLED_ICON

    public static final java.lang.String DEFAULT_DELEGATE_PROPERTY_TAB_DISABLED_ICON

### DEFAULT_DELEGATE_PROPERTY_TAB_DISPLAYED_MNEMONIC_INDEX

    public static final java.lang.String DEFAULT_DELEGATE_PROPERTY_TAB_DISPLAYED_MNEMONIC_INDEX

### DEFAULT_DELEGATE_PROPERTY_TAB_ENABLED

    public static final java.lang.String DEFAULT_DELEGATE_PROPERTY_TAB_ENABLED

### DEFAULT_DELEGATE_PROPERTY_TAB_FOREGROUND

    public static final java.lang.String DEFAULT_DELEGATE_PROPERTY_TAB_FOREGROUND

### DEFAULT_DELEGATE_PROPERTY_TAB_ICON

    public static final java.lang.String DEFAULT_DELEGATE_PROPERTY_TAB_ICON

### DEFAULT_DELEGATE_PROPERTY_TAB_MNEMONIC

    public static final java.lang.String DEFAULT_DELEGATE_PROPERTY_TAB_MNEMONIC

### DEFAULT_DELEGATE_PROPERTY_TAB_TOOL_TIP

    public static final java.lang.String DEFAULT_DELEGATE_PROPERTY_TAB_TOOL_TIP

### DEFAULT_DELEGATE_PROPERTY_TITLE

    public static final java.lang.String DEFAULT_DELEGATE_PROPERTY_TITLE

### DELEGATE_PROPERTY_TAB_BACKGROUND

    public static final java.lang.String DELEGATE_PROPERTY_TAB_BACKGROUND

### DELEGATE_PROPERTY_TAB_DISABLED_ICON

    public static final java.lang.String DELEGATE_PROPERTY_TAB_DISABLED_ICON

### DELEGATE_PROPERTY_TAB_DISPLAYED_MNEMONIC_INDEX

    public static final java.lang.String DELEGATE_PROPERTY_TAB_DISPLAYED_MNEMONIC_INDEX

### DELEGATE_PROPERTY_TAB_ENABLED

    public static final java.lang.String DELEGATE_PROPERTY_TAB_ENABLED

### DELEGATE_PROPERTY_TAB_FOREGROUND

    public static final java.lang.String DELEGATE_PROPERTY_TAB_FOREGROUND

### DELEGATE_PROPERTY_TAB_ICON

    public static final java.lang.String DELEGATE_PROPERTY_TAB_ICON

### DELEGATE_PROPERTY_TAB_MNEMONIC

    public static final java.lang.String DELEGATE_PROPERTY_TAB_MNEMONIC

### DELEGATE_PROPERTY_TAB_TOOL_TIP

    public static final java.lang.String DELEGATE_PROPERTY_TAB_TOOL_TIP

### DELEGATE_PROPERTY_TITLE

    public static final java.lang.String DELEGATE_PROPERTY_TITLE

Constructor Detail

### TabbedPaneFactory

    TabbedPaneFactory(java.lang.Class beanClass)

Method Detail

### inspectChild

    static void inspectChild(FactoryBuilderSupport builder, java.lang.Object node, java.util.Map attributes)

### newInstance

    java.lang.Object newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)

### onNodeCompleted

    void onNodeCompleted(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object node)

### setChild

    void setChild(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object child)

Groovy Documentation